using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using BMA.EHR.Recurit.Exam.Service.Models;
using System.ComponentModel.DataAnnotations.Schema;

namespace BMA.EHR.Domain.Models.Placement
{
    public class PositionLevel : EntityBaseNoIsActive
    {
        [Column(Order = 1), Comment("ลำดับ")]
        public int? Order { get; set; }

        [Required, MaxLength(100), Column(Order = 2), Comment("ชื่อระดับตำแหน่ง")]
        public string Name { get; set; } = string.Empty;

        [Required, MaxLength(100), Column(Order = 3), Comment("ชื่อย่อระดับตำแหน่ง")]
        public string ShortName { get; set; } = string.Empty;

        [Column(Order = 4), Comment("ลำดับชั้นของระดับตำแหน่ง")]
        public int Level { get; set; } = 0;

        [Column(Order = 5), Comment("สถานะการใช้งาน")]
        public bool IsActive { get; set; } = true;
    }
}
